Skip to content
Ask AI

PTP-Netconf

YANG Pathget/get-configedit-configrpc
/clear-ptp-counters——Y
/ptpY——
/ptp-reset——Y
/ptp/globalYmerge, replace, create, delete—
/ptp/instances/{instance-number}Ymerge, replace, create, delete—
/ptp/instances/{instance-number}/current-dsY——
/ptp/instances/{instance-number}/default-dsYmerge, replace, create, delete—
/ptp/instances/{instance-number}/default-ds/clock-qualityYmerge, replace, create, delete—
/ptp/instances/{instance-number}/parent-dsY——
/ptp/instances/{instance-number}/ports/{port}Ymerge, replace, create, delete—
/ptp/instances/{instance-number}/ports/{port}/port-ds/unicast-master-table
/{address}
Yreplace, create, delete—
/show-gnss-info——Y
/show-ptp-clock——Y
/show-ptp-clock-sm-tlv——Y
/show-ptp-counters——Y
/show-ptp-counters-instance——Y
/show-ptp-counters-interface——Y
/show-ptp-interface——Y

This chapter provides examples on how to use Netconf to manage PTP configurations on AsterNOS devices.

Request example to get ptp configuration via get-config.

<filter type="subtree">
<top>
<ptp/>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:136148a7-0ff4-488b-9d5e-1cf55fcd5414">
<data>
<top>
<ptp xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
<global>
<enabled>false</enabled>
<log-level>notice</log-level>
</global>
<instances>
<instance>
<instance-number>0</instance-number>
<default-ds>
<two-step-flag>false</two-step-flag>
<clock-identity>000fe2.fffe.ff0000</clock-identity>
<priority1>64</priority1>
<priority2>64</priority2>
<instance-type>oc</instance-type>
<network-transport>ethernet</network-transport>
<profile>1588v2</profile>
<delay-mechanism>e2e</delay-mechanism>
<clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>fe</clock-accuracy>
</clock-quality>
</default-ds>
<ports>
<port>
<port>Ethernet1</port>
<port-ds>
<log-announce-interval>2</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<log-sync-interval>1</log-sync-interval>
<log-min-delay-req-interval>2</log-min-delay-req-interval>
<log-min-pdelay-req-interval>2</log-min-pdelay-req-interval>
<port-state>master</port-state>
<port-enable>true</port-enable>
</port-ds>
</port>
<port>
<port>Ethernet2</port>
<port-ds>
<log-announce-interval>0</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<log-sync-interval>-3</log-sync-interval>
<log-min-delay-req-interval>-3</log-min-delay-req-interval>
<log-min-pdelay-req-interval>-3</log-min-pdelay-req-interval>
<asymmetry-correction>10000</asymmetry-correction>
<port-enable>false</port-enable>
</port-ds>
</port>
</ports>
</instance>
</instances>
</ptp>
</top>
</data>
</rpc-reply>

Request example to get ptp global configuration via get-config.

<filter type="subtree">
<top>
<ptp>
<global/>
</ptp>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:2593d066-983a-4d37-8aec-16ac6a88a525">
<data>
<top>
<ptp xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
<global>
<enabled>false</enabled>
<log-level>notice</log-level>
</global>
</ptp>
</top>
</data>
</rpc-reply>

This example shows how to enable global PTP and set log-level, the default log-level is INFO.

Request example to create ptp global configuration via edit-config.

<config><top>
<ptp>
<global opertion="create">
<enabled>true</enabled>
<log-level>notice</log-level>
</global>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:5e0ac385-1d49-4137-96b1-2e8dfb33cf91">
<ok/>
</rpc-reply>

Request example to modify ptp global configuration via edit-config.

<config><top>
<ptp>
<global opertion="merge">
<enabled>false</enabled>
</global>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:2c51c642-ad3d-432c-a40d-9144adcc6a82">
<ok/>
</rpc-reply>

Request example to delete ptp global configuration via edit-config.

<config><top>
<ptp>
<global opertion="delete">
</global>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:3b269055-3165-4fb9-b678-bbad8b627b73">
<ok/>
</rpc-reply>

Request example to get ptp instances configuration via get-config.

<filter type="subtree">
<top>
<ptp>
<instances/>
</ptp>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:cf3a46a5-0be6-4f72-8aa8-981c66417716">
<data>
<top>
<ptp xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
<instances>
<instance>
<instance-number>0</instance-number>
<default-ds>
<two-step-flag>false</two-step-flag>
<clock-identity>000fe2.fffe.ff0000</clock-identity>
<priority1>64</priority1>
<priority2>64</priority2>
<instance-type>oc</instance-type>
<network-transport>ethernet</network-transport>
<profile>1588v2</profile>
<delay-mechanism>e2e</delay-mechanism>
<clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>fe</clock-accuracy>
</clock-quality>
</default-ds>
<ports>
<port>
<port>Ethernet1</port>
<port-ds>
<log-announce-interval>2</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<log-sync-interval>1</log-sync-interval>
<log-min-delay-req-interval>2</log-min-delay-req-interval>
<log-min-pdelay-req-interval>2</log-min-pdelay-req-interval>
<port-state>master</port-state>
<port-enable>true</port-enable>
</port-ds>
</port>
<port>
<port>Ethernet2</port>
<port-ds>
<log-announce-interval>0</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<log-sync-interval>-3</log-sync-interval>
<log-min-delay-req-interval>-3</log-min-delay-req-interval>
<log-min-pdelay-req-interval>-3</log-min-pdelay-req-interval>
<asymmetry-correction>10000</asymmetry-correction>
<port-enable>false</port-enable>
</port-ds>
</port>
</ports>
</instance>
</instances>
</ptp>
</top>
</data>
</rpc-reply>

Request example to get ptp clock offset, path delay and lock status via get.

<filter type="subtree">
<top>
<ptp>
<instances/>
</ptp>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:baa5008c-e0fb-4d86-b5c6-cb4bbad09ef3">
<data>
<top>
<ptp xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
<instances>
<instance>
<instance-number>0</instance-number>
<default-ds>
<two-step-flag>false</two-step-flag>
<clock-identity>60eb5a.fffe.0112f1</clock-identity>
<domain-number>0</domain-number>
<instance-type>bc</instance-type>
<network-transport>udpv4</network-transport>
<source-ip-address>10.1.1.1</source-ip-address>
<profile>1588v2</profile>
<delay-mechanism>e2e</delay-mechanism>
<local-time>1689217541</local-time>
<clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>fe</clock-accuracy>
</clock-quality>
</default-ds>
<ports>
<port>
<port>Ethernet1</port>
<port-ds>
<port-state>master</port-state>
<port-enable>true</port-enable>
<port-number>2</port-number>
</port-ds>
</port>
<port>
<port>Ethernet2</port>
<port-ds>
<port-state>slave</port-state>
<port-enable>true</port-enable>
<port-number>1</port-number>
</port-ds>
</port>
</ports>
<current-ds>
<offset-from-master>15</offset-from-master>
<mean-path-delay>2678</mean-path-delay>
<servo-state>locked</servo-state>
</current-ds>
<parent-ds>
<grandmaster-identity>60eb5a.fffe.0112f1</grandmaster-identity>
<grandmaster-priority1>128</grandmaster-priority1>
<grandmaster-priority2>128</grandmaster-priority2>
<grandmaster-clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>fe</clock-accuracy>
</grandmaster-clock-quality>
</parent-ds>
</instance>
<instance>
<instance-number>127</instance-number>
<default-ds>
<two-step-flag>false</two-step-flag>
<clock-identity>60eb5a.fffe.0112f1</clock-identity>
<domain-number>127</domain-number>
<instance-type>oc</instance-type>
<network-transport>udpv4</network-transport>
<profile>smpte-2059-2</profile>
<delay-mechanism>e2e</delay-mechanism>
<local-time>1689217548</local-time>
<smpte>
<sm-tlv-enable>true</sm-tlv-enable>
<frame-rate-numerator>1000</frame-rate-numerator>
<frame-rate-denominator>1</frame-rate-denominator>
<sm-tlv-drop-frame>true</sm-tlv-drop-frame>
<sm-tlv-color-frame>true</sm-tlv-color-frame>
<grandmaster-lock-status>0</grandmaster-lock-status>
<time-address-flags>3</time-address-flags>
<current-local-offset>0</current-local-offset>
<jump-seconds>0</jump-seconds>
<time-of-next-jump>0</time-of-next-jump>
<time-of-next-jam>0</time-of-next-jam>
<time-of-previous-jam>0</time-of-previous-jam>
<previous-jam-local-time-offset>0</previous-jam-local-time-offset>
<daylight-saving>0</daylight-saving>
</smpte>
</default-ds>
<ports>
<port>
<port>Ethernet3</port>
<port-ds>
<port-state>master</port-state>
<port-enable>true</port-enable>
<port-number>1</port-number>
</port-ds>
</port>
</ports>
<current-ds>
<offset-from-master>0</offset-from-master>
<mean-path-delay>0</mean-path-delay>
<servo-state>unlocked</servo-state>
</current-ds>
<parent-ds>
<grandmaster-identity>60eb5a.fffe.0112f1</grandmaster-identity>
<grandmaster-priority1>128</grandmaster-priority1>
<grandmaster-priority2>128</grandmaster-priority2>
<grandmaster-clock-quality>
<clock-class>248</clock-class>
<clock-accuracy>fe</clock-accuracy>
</grandmaster-clock-quality>
</parent-ds>
</instance>
</instances>
</ptp>
</top>
</data>
</rpc-reply>

This example shows how to create ptp instances. The device supports up to 2 PTP instances, except for the CX102S device which supports 4; Profile is the mandatory field; When clock-type is bc or tc (include t-bc, t-tc-p …), ptp clock needs at least two ports; Default values differ across profiles and can be viewed via the get-config operation.

Request example to create ptp instance via edit-config.

<config><top>
<interfaces operation="merge">
<interface>
<name>Ethernet1</name>
<ipv4>
<address>
<ip-prefix>10.1.1.1/24</ip-prefix>
</address>
</ipv4>
</interface>
</interfaces>
<ptp>
<instances operation="create">
<instance>
<instance-number>0</instance-number>
<default-ds>
<profile>1588v2</profile>
<clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>FE</clock-accuracy>
</clock-quality>
<instance-type>bc</instance-type>
<source-ip-address>10.1.1.1</source-ip-address>
</default-ds>
<ports>
<port>
<port>Ethernet1</port>
<port-ds>
<port-enable>true</port-enable>
</port-ds>
</port>
<port>
<port>Ethernet2</port>
<port-ds>
<port-enable>true</port-enable>
</port-ds>
</port>
</ports>
</instance>
<instance>
<instance-number>127</instance-number>
<default-ds>
<profile>smpte-2059-2</profile>
<instance-type>oc</instance-type>
<smpte>
<sm-tlv-enable>true</sm-tlv-enable>
<frame-rate-numerator>1000</frame-rate-numerator>
<frame-rate-denominator>1</frame-rate-denominator>
<sm-tlv-drop-frame>true</sm-tlv-drop-frame>
<sm-tlv-color-frame>true</sm-tlv-color-frame>
</smpte>
</default-ds>
<ports>
<port>
<port>Ethernet3</port>
<port-ds>
<port-enable>true</port-enable>
</port-ds>
</port>
</ports>
</instance>
</instances>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:e3b7e0a2-a83e-4ca4-8727-c4011fc0d8c6">
<ok/>
</rpc-reply>

Request example to modify ptp instance via edit-config.

<config><top>
<ptp>
<instances operation="merge">
<instance>
<instance-number>0</instance-number>
<default-ds>
<profile>1588v2</profile>
<delay-mechanism>e2e</delay-mechanism>
<two-step-flag>false</two-step-flag>
<clock-identity>000FE2.FFFE.FF0000</clock-identity>
<clock-quality>
<clock-class>64</clock-class>
<clock-accuracy>FE</clock-accuracy>
</clock-quality>
<priority1>64</priority1>
<priority2>64</priority2>
<network-transport>ethernet</network-transport>
<instance-type>oc</instance-type>
</default-ds>
<ports>
<port>
<port>Ethernet1</port>
<port-ds>
<log-announce-interval>2</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<port-state>master</port-state>
<log-min-delay-req-interval>2</log-min-delay-req-interval>
<log-min-pdelay-req-interval>2</log-min-pdelay-req-interval>
<log-sync-interval>1</log-sync-interval>
<port-enable>true</port-enable>
</port-ds>
</port>
<port>
<port>Ethernet2</port>
<port-ds>
<log-announce-interval>0</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<log-min-delay-req-interval>-3</log-min-delay-req-interval>
<log-min-pdelay-req-interval>-3</log-min-pdelay-req-interval>
<log-sync-interval>-3</log-sync-interval>
<port-enable>false</port-enable>
<asymmetry-correction>10000</asymmetry-correction>
</port-ds>
</port>
</ports>
</instance>
</instances>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6ae48054-a79c-4de4-af4a-a60ca24b2976">
<ok/>
</rpc-reply>

Request example to add port to ptp instance via edit-config.

<config><top>
<ptp>
<instances>
<instance>
<instance-number>127</instance-number>
<ports operation="create">
<port>
<port>Ethernet5</port>
<port-ds>
<log-announce-interval>0</log-announce-interval>
<announce-receipt-timeout>3</announce-receipt-timeout>
<port-state>master</port-state>
<log-min-delay-req-interval>-3</log-min-delay-req-interval>
<log-min-pdelay-req-interval>-3</log-min-pdelay-req-interval>
<log-sync-interval>-3</log-sync-interval>
<port-enable>true</port-enable>
<asymmetry-correction>10000</asymmetry-correction>
<dscp>32</dscp>
<ptp-vlan>Vlan100</ptp-vlan>
</port-ds>
</port>
</ports>
</instance>
</instances>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:e3b7e0a2-a83e-4ca4-8727-c4011fc0d8c6">
<ok/>
</rpc-reply>

Request example to delete port from ptp instance via edit-config.

<config><top>
<ptp>
<instances>
<instance>
<instance-number>127</instance-number>
<ports>
<port operation="delete">
<port>Ethernet5</port>
</port>
</ports>
</instance>
</instances>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:31f57a0b-569c-4152-aa11-f938aeecda31">
<ok/>
</rpc-reply>

Request example to delete ptp instance via edit-config.

<config><top>
<ptp>
<instances>
<instance operation="delete">
<instance-number>127</instance-number>
</instance>
</instances>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:253c59fb-a240-4dce-b6ac-230b880793cb">
<ok/>
</rpc-reply>

Request example to delete all ptp instances via edit-config.

<config><top>
<ptp>
<instances operation="delete"/>
</ptp>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ea052cdc-dcc9-4b1a-9f0b-bf1265358143">
<ok/>
</rpc-reply>

Request example to reset all ptp configurations via rpc ptp-reset.

<ptp-reset/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:819c836d-4789-4208-a2c6-e688d0a6cb96">
<status xmlns="http://asterfusion.com/ns/yang/asternos-ptp">PTP configurations reset successfully</status>
</rpc-reply>

Request example to show all ptp clocks via rpc show-ptp-clock.

<show-ptp-clock/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:57d1c5f8-9a7f-4644-82ce-d9c898e1d9a2">
<data xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
Domain: 0
Profile: 1588v2
Clock Type: bc
Clock Step: one_step
Delay Mode: E2E
Local Clock Identity: 000fe2.fffe.ff0000
Local Clock Accuracy: 0xfe
Local Clock Class: 64
Local Clock Priority1: 128
Local Clock Priority2: 128
Grandmaster Clock Identity: 000fe2.fffe.ff0000
Grandmaster Clock Accuracy: 0xfe
Grandmaster Clock Class: 64
Grandmaster Clock Priority1: 64
Grandmaster Clock Priority2: 64
Parent Port Identity: 0
Servo State: unlocked
Offset To Master: 0
Path Delay: 0
Max Steps Removed: 255
Local Time: 0
Domain: 127
Profile: smpte-2059-2
Clock Type: oc
Clock Step: one_step
Delay Mode: E2E
Local Clock Identity: 000000.0000.000000
Local Clock Accuracy: 0xFE
Local Clock Class: 248
Local Clock Priority1: 128
Local Clock Priority2: 128
</data>
</rpc-reply>

Request example to show ptp clock sm tlv via rpc.

<show-ptp-clock-sm-tlv>
<instance-number>0</instance-number>
</show-ptp-clock-sm-tlv>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a37ff7ca-c08c-4a09-9494-238dbc141710">
<data xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
Default Frame Rate: 0/0
GM Lock Status: 0
Time Address Flags: 3
Current Local Offset: 0
Jump Seconds: 0
Time of Next Jump: 0
Time of Next Jam: 0
Time of Previous Jam: 0
Previous Jam Local Offset: 0
Daylight Saving: 0
Leap Second Jump: 0
</data>
</rpc-reply>

Request example to show ptp counters via rpc show-ptp-counters.

<show-ptp-counters/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:1f7882f2-3997-4b77-8e64-dfb0c8085e9e">
<data xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
Interface: Ethernet2
Recv Packets Send Packets
---------------------------------------------------------------------------------
Announce 0 0
Sync 0 0
FollowUp 0 0
DelayReq 0 0
DelayResp 0 0
PdelayReq 0 0
PdelayResp 0 0
PdelayRespFollowUp 0 0
Signaling 0 0
Managment 0 0
Interface: Ethernet1
Recv Packets Send Packets
---------------------------------------------------------------------------------
Announce 39 39
Sync 77 77
FollowUp 0 0
DelayReq 0 0
DelayResp 0 0
PdelayReq 0 0
PdelayResp 0 0
PdelayRespFollowUp 0 0
Signaling 0 0
Managment 0 0
Interface: Ethernet3
Recv Packets Send Packets
---------------------------------------------------------------------------------
Announce 74 74
Sync 590 590
FollowUp 0 0
DelayReq 0 0
DelayResp 0 0
PdelayReq 0 0
PdelayResp 0 0
PdelayRespFollowUp 0 0
Signaling 0 0
Managment 73 73
</data>
</rpc-reply>

Request example to show ptp counters via rpc clear-ptp-counters.

<clear-ptp-counters/>

Response example

<data xmlns="http://asterfusion.com/ns/yang/asternos-ptp"/>

Request example to show ptp interfaces via rpc show-ptp-interface.

<show-ptp-interface/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:69232687-6bbb-41d1-b869-0fc943cf7ee8">
<data xmlns="http://asterfusion.com/ns/yang/asternos-ptp">
Ethernet: Ethernet1
Enable: True
Domain: 0
Index: 2
Announce Interval: 1
Announce Receipt Timeout: 3
Delay Request Interval: 0
Pdelay Request Interval: 0
Sync Interval: 0
Mode: master
Delay Mode: E2E
Unicast Master Table: []
Ethernet: Ethernet2
Enable: True
Domain: 0
Index: 1
Announce Interval: 1
Announce Receipt Timeout: 3
Delay Request Interval: 0
Pdelay Request Interval: 0
Sync Interval: 0
Mode: none
Delay Mode: E2E
Unicast Master Table: []
Ethernet: Ethernet3
Enable: True
Domain: 127
Index: 1
Announce Interval: 0
Announce Receipt Timeout: 3
Delay Request Interval: -3
Pdelay Request Interval: -3
Sync Interval: -3
Mode: master
Delay Mode: E2E
Unicast Master Table: []
</data>
</rpc-reply>

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw global
| +--rw enabled? boolean
| +--rw log-level? af-ptp-types:log-level-enumeration
+--rw instances
+--rw instance* [instance-number]
+--rw instance-number uint32
+--rw default-ds
| +--rw clock-quality
| | +--rw clock-class? uint8
| | +--rw clock-accuracy? yang:hex-string
| +--rw two-step-flag? boolean
| +--rw clock-identity? af-ptp-types:clock-identity-type
| +--rw clock-source? af-ptp-types:clock-source-enumeration
| +--rw dscp? uint8
| +--rw priority? uint8
| +--rw priority1? uint8
| +--rw priority2? uint8
| +--ro domain-number? uint8
| +--rw instance-type? af-ptp-types:instance-type
| +--rw network-transport? af-ptp-types:network-transport-enumeration
| +--rw communication-mode? af-ptp-types:communication-mode-enumeration
| +--rw source-ip-address? inet:ip-address-no-zone
| +--rw profile? af-ptp-types:ptp-profile-enumeration
| +--rw delay-mechanism? af-ptp-types:delay-mechanism-enumeration
| +--rw minor-version? uint8
| +--ro local-time? uint64
| +--rw smpte
| +--rw sm-tlv-enable? boolean
| +--rw frame-rate-numerator? uint32
| +--rw frame-rate-denominator? uint32
| +--rw sm-tlv-drop-frame? boolean
| +--rw sm-tlv-color-frame? boolean
| +--ro grandmaster-lock-status? string
| +--ro time-address-flags? string
| +--ro current-local-offset? string
| +--ro jump-seconds? string
| +--ro time-of-next-jump? string
| +--ro time-of-next-jam? string
| +--ro time-of-previous-jam? string
| +--ro previous-jam-local-time-offset? string
| +--ro daylight-saving? string
| +--ro leap-seconds-jump? string
+--rw ports
| +--rw port* [port]
| +--rw port if:interface-ref
| +--rw port-ds
| +--rw log-announce-interval? int8
| +--rw announce-receipt-timeout? uint8
| +--rw log-sync-interval? int8
| +--rw log-min-delay-req-interval? int8
| +--rw log-min-pdelay-req-interval? int8
| +--rw asymmetry-correction? int32
| +--rw dscp? uint8
| +--rw port-state? af-ptp-types:port-state-enumeration
| +--rw port-enable? boolean
| +--ro port-number? uint16
| +--rw unicast-master-table* [address]
| | +--rw address inet:ip-address-no-zone
| +--rw source-ip-address? inet:ip-address-no-zone
| +--rw ptp-vlan? cmn:vlan-name
| +--rw priority? uint8
+--ro current-ds
| +--ro steps-removed? uint16
| +--ro offset-from-master? af-ptp-types:time-interval-type
| +--ro mean-path-delay? af-ptp-types:time-interval-type
| +--ro servo-state? af-ptp-types:servo-state-enumeration
+--ro parent-ds
+--ro parent-port-identity? string
+--ro grandmaster-identity? af-ptp-types:clock-identity-type
+--ro grandmaster-clock-quality
| +--ro clock-class? uint8
| +--ro clock-accuracy? yang:hex-string
+--ro grandmaster-priority1? uint8
+--ro grandmaster-priority2? uint8

Table of Properties

NameRequiredType/RangeDescription
ptpO

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw global
+--rw enabled? boolean
+--rw log-level? af-ptp-types:log-level-enumeration

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
enabledO”true"
"false”
PTP status, true means PTP is enabled, false means PTP is disabled
Default value: False
log-levelOaf-ptp-types:log-level-enumerationThe log level of the ptp4l level, default is info.
Default value: info

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances
+--rw instance* [instance-number]
+--rw instance-number uint32
+--rw default-ds
| +--rw clock-quality
| | +--rw clock-class? uint8
| | +--rw clock-accuracy? yang:hex-string
| +--rw two-step-flag? boolean
| +--rw clock-identity? af-ptp-types:clock-identity-type
| +--rw clock-source? af-ptp-types:clock-source-enumeration
| +--rw dscp? uint8
| +--rw priority? uint8
| +--rw priority1? uint8
| +--rw priority2? uint8
| +--ro domain-number? uint8
| +--rw instance-type? af-ptp-types:instance-type
| +--rw network-transport? af-ptp-types:network-transport-enumeration
| +--rw communication-mode? af-ptp-types:communication-mode-enumeration
| +--rw source-ip-address? inet:ip-address-no-zone
| +--rw profile? af-ptp-types:ptp-profile-enumeration
| +--rw delay-mechanism? af-ptp-types:delay-mechanism-enumeration
| +--rw minor-version? uint8
| +--ro local-time? uint64
| +--rw smpte
| +--rw sm-tlv-enable? boolean
| +--rw frame-rate-numerator? uint32
| +--rw frame-rate-denominator? uint32
| +--rw sm-tlv-drop-frame? boolean
| +--rw sm-tlv-color-frame? boolean
| +--ro grandmaster-lock-status? string
| +--ro time-address-flags? string
| +--ro current-local-offset? string
| +--ro jump-seconds? string
| +--ro time-of-next-jump? string
| +--ro time-of-next-jam? string
| +--ro time-of-previous-jam? string
| +--ro previous-jam-local-time-offset? string
| +--ro daylight-saving? string
| +--ro leap-seconds-jump? string
+--rw ports
| +--rw port* [port]
| +--rw port if:interface-ref
| +--rw port-ds
| +--rw log-announce-interval? int8
| +--rw announce-receipt-timeout? uint8
| +--rw log-sync-interval? int8
| +--rw log-min-delay-req-interval? int8
| +--rw log-min-pdelay-req-interval? int8
| +--rw asymmetry-correction? int32
| +--rw dscp? uint8
| +--rw port-state? af-ptp-types:port-state-enumeration
| +--rw port-enable? boolean
| +--ro port-number? uint16
| +--rw unicast-master-table* [address]
| | +--rw address inet:ip-address-no-zone
| +--rw source-ip-address? inet:ip-address-no-zone
| +--rw ptp-vlan? cmn:vlan-name
| +--rw priority? uint8
+--ro current-ds
| +--ro steps-removed? uint16
| +--ro offset-from-master? af-ptp-types:time-interval-type
| +--ro mean-path-delay? af-ptp-types:time-interval-type
| +--ro servo-state? af-ptp-types:servo-state-enumeration
+--ro parent-ds
+--ro parent-port-identity? string
+--ro grandmaster-identity? af-ptp-types:clock-identity-type
+--ro grandmaster-clock-quality
| +--ro clock-class? uint8
| +--ro clock-accuracy? yang:hex-string
+--ro grandmaster-priority1? uint8
+--ro grandmaster-priority2? uint8

Table of Properties

NameRequiredType/RangeDescription
instancesMPath-only node, has no configurable value.
YANG container that is used to get all PTP Instances. YANG does not allow get of all elements in a YANG list, so a YANG container wrapping the YANG list is provided for that purpose. The naming convention uses plural for the wrapping YANG container, and singular for the YANG list.
instanceMPath-only node, has no configurable value.
List of one or more PTP data sets in the device

Each PTP data set represents a distinct instance of PTP implementation in the device (i.e., distinct

Ordinary Clock or Boundary Clock).
instance-numberMintegerThe instance number of the current PTP instance.

This instance number is used for management purposes only. This instance number does not represent the PTP domain number and is not used in PTP messages.
default-dsMPath-only node, has no configurable value.
The default data set of the PTP Instance.
clock-qualityMPath-only node, has no configurable value.
The IEEE Std 1588 clockQuality of the PTP Instance.

PTP Instances with better quality are more likely to become the Grandmaster PTP Instance.
clock-classOintegerThe clockClass denotes the traceability of the time or frequency distributed by the clock.
Default value: 248
clock-accuracyOyang:hex-stringThe clockAccuracy indicates the expected accuracy of the clock, range 0 to FE.
two-step-flagO”true"
"false”
When set to true, the PTP Instance is two-step, otherwise the PTP Instance is one-step.
clock-identityOaf-ptp-types:clock-identity-typeThe clockIdentity of the local clock.
clock-sourceOaf-ptp-types:clock-source-enumerationchoose clock source for ptp.
dscpO0..63DSCP of ptp packets in this instance.
priorityO1..255The priority of the PTP Instance.

Since priority is one of the comparisons performed by the Alternative Best Master Clock Algorithm (ABMCA), this leaf’s configuration can be used to explicitly select a Grandmaster PTP Instance.

Lower values take precedence.

The value of priority shall be configurable to any value in the range 1 to 255, unless restricted by limits established by the applicable PTP Profile.
Default value: 128
priority1OintegerThe IEEE Std 1588 priority1 of the PTP Instance.

Since priority1 is one of the first comparisons performed by the Best Master Clock Algorithm (BMCA), this leaf’s configuration can be used to explicitly select a Grandmaster PTP Instance.

Lower values take precedence.

The value of priority1 shall be configurable to any value in the range 0 to 255, unless restricted by limits established by the applicable PTP Profile.
Default value: 128
priority2OintegerThe IEEE Std 1588 priority2 of the PTP Instance.

The priority2 member is compared by the Best Master

Clock Algorithm (BMCA) after priority1 and clockQuality.

Lower values take precedence.

The value of priority2 shall be configurable to any value in the range 0 to 255, unless restricted by limits established by the applicable PTP Profile.
Default value: 128
domain-numberRO0..127The IEEE Std 1588 domainNumber of the PTP Instance.

A domain consists of one or more PTP Instances communicating with each other as defined by the protocol.

A domain shall define the scope of PTP message communication, state, operations, data sets, and timescale.
instance-typeOaf-ptp-types:instance-typeThe clock type of PTP instance.
network-transportOaf-ptp-types:network-transport-enumerationThe network transport used for communication
communication-modeOaf-ptp-types:communication-mode-enumerationThe communication mode used by the ptp instance.
source-ip-addressOinet:ip-address-no-zoneThe source ip address of ptp packet.
profileOaf-ptp-types:ptp-profile-enumerationThe protocol standard used by ptp instance.
delay-mechanismOaf-ptp-types:delay-mechanism-enumerationThe propagation delay measuring option used by the transparent clock.
Default value: e2e
minor-versionO0..1The minor version of the PTP Instance.
Default value: 1
local-timeROintegerThe local time of the this instance’s clock in nanoseconds.
smpteMPath-only node, has no configurable value.
The smpte-2059-2 profile data.
sm-tlv-enableO”true"
"false”
Enable smpte smpte sm-tlv. default is false.
Default value: False
frame-rate-numeratorOintegerThe numerator of the frame rate.
frame-rate-denominatorOintegerThe denominator of the frame rate.
sm-tlv-drop-frameO”true"
"false”
Enable smpte smpte sm-tlv drop frame. default is false.
Default value: False
sm-tlv-color-frameO”true"
"false”
Enable smpte smpte sm-tlv color frame. default is false.
Default value: False
grandmaster-lock-statusROstringsmpte sm-tlv grandmaster lock status.
time-address-flagsROstringsmpte sm-tlv time address flags.
current-local-offsetROstringsmpte sm-tlv current local offset.
jump-secondsROstringsmpte sm-tlv jump seconds.
time-of-next-jumpROstringsmpte sm-tlv time of next jump.
time-of-next-jamROstringsmpte sm-tlv time of next jam.
time-of-previous-jamROstringsmpte sm-tlv time of previous jam.
previous-jam-local-time-offsetROstringsmpte sm-tlv previous jam local time offset.
daylight-savingROstringsmpte sm-tlv daylight saving.
leap-seconds-jumpROstringsmpte sm-tlv leap seconds jump.
portsMPath-only node, has no configurable value.
YANG container is used to get all ptp ports in this ptp instance.

YANG does not allow get all elements in a YANG list, so a YANG container wrapping the YANG list is provided for that purpose. The naming convention uses plural for the wrapping YANG container, and singular for the YANG list.
portMPath-only node, has no configurable value.
List of data for each PTP port in PTP instance.
portOif:interface-refReference to the configured underlying interface that is used by this PTP port (see RFC 8343).
port-dsMPath-only node, has no configurable value.
Primary data set of the port
log-announce-intervalO-3..4The base-2 logarithm of the mean announceInterval (mean time interval between successive Announce messages).
announce-receipt-timeoutOintegerThe number of announceIntervals that have to pass without receipt of an Announce message before the occurrence of the event ANNOUNCE_RECEIPT_TIMEOUT_EXPIRES.
log-sync-intervalOintegerThe base-2 logarithm of the mean SyncInterval for multicast messages.
log-min-delay-req-intervalOintegerThe base-2 logarithm of the minDelayReqInterval.
log-min-pdelay-req-intervalOintegerThe base-2 logarithm of the minPdelayReqInterval.
asymmetry-correctionO-100000000..100000000Asymmetrical delay correction value on the interface.
dscpO0..63DSCP of ptp packets sent from the interface.
port-stateOaf-ptp-types:port-state-enumerationCurrent state associated with the port.
Default value: slave
port-enableO”true"
"false”
Indicates if the PTP Port is enabled for PTP operation.
port-numberROintegerThe port-number is allocated by internal process.
unicast-master-tableMPath-only node, has no configurable value.
The list of master ip address for this instance.
addressOinet:ip-address-no-zoneThe master ip address.
source-ip-addressOinet:ip-address-no-zoneThe source ip address of ptp packet.
ptp-vlanOcmn:vlan-nameinterface operating over specific VLAN.
priorityO1..255The priority of the PTP Port.
Default value: 128
current-dsROPath-only node, has no configurable value.
The current data set of the PTP instance.
steps-removedROintegerThe number of communication paths traversed between this ptp instance and the grandmaster ptp instance
offset-from-masterROaf-ptp-types:time-interval-typeThe current value of the time difference between a master and a slave clock as computed by the slave.
mean-path-delayROaf-ptp-types:time-interval-typeThe current value of the mean propagation time between a master and a slave clock as computed by the slave.
servo-stateROaf-ptp-types:servo-state-enumerationThe current state of the ptp clock.
parent-dsROPath-only node, has no configurable value.
Provides data learned from the parent of this PTP instance.
parent-port-identityROstring (length 10)The portIdentity of the parent port.
grandmaster-identityROaf-ptp-types:clock-identity-typeThe clockIdentity attribute of the grandmaster clock.
grandmaster-clock-qualityROPath-only node, has no configurable value.
The clockQuality of the grandmaster clock.
clock-classROintegerThe clockClass denotes the traceability of the time or frequency distributed by the clock.
Default value: 248
clock-accuracyROyang:hex-stringThe clockAccuracy indicates the expected accuracy of the clock, range 0 to FE.
grandmaster-priority1ROintegerThe priority1 attribute of the grandmaster clock.
grandmaster-priority2ROintegerThe priority2 attribute of the grandmaster clock.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
+--rw ptp
+--rw instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x clear-ptp-counters
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
clear-ptp-countersO
dataOclear ptp packet counters

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x ptp-reset
+--ro output
+--ro status? string

Table of Properties

NameRequiredType/RangeDescription
ptp-resetO
statusOstringThe status of the reset operation.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-gnss-info
+--ro output
+--ro data
+--ro enabled? boolean
+--ro lock-status? af-ptp-types:gnss-state-enumeration
+--ro valid? boolean
+--ro fix-type? af-ptp-types:fix-type-enumeration
+--ro satellites-used? uint8
+--ro satellites-tracked? uint8
+--ro antenna-status? af-ptp-types:antenna-status-enumeration
+--ro time-accuracy? decimal64
+--ro position? string
+--ro altitude? decimal64
+--ro hdop? decimal64
+--ro pps-status? string

Table of Properties

NameRequiredType/RangeDescription
show-gnss-infoO
dataMPath-only node, has no configurable value.
enabledO”true"
"false”
GNSS status, true means GNSS is enabled, false means GNSS is disabled
lock-statusOaf-ptp-types:gnss-state-enumerationGNSS lock status
validO”true"
"false”
GNSS data is valid
fix-typeOaf-ptp-types:fix-type-enumerationGNSS fix type
satellites-usedOintegerGNSS satellites used
satellites-trackedOintegerGNSS satellites tracked
antenna-statusOaf-ptp-types:antenna-status-enumerationGNSS antenna status
time-accuracyOGNSS time accuracy
positionOstringGNSS position
altitudeOGNSS altitude
hdopOGNSS HDOP value
pps-statusOstringGNSS PPS lock status

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-clock
+---w input
| +---w instance-number? uint32
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-clockO
instance-numberOintegerinstance number if not specified, show all ptp clock status
dataOshow ptp clock status for the instance number or all instances

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-clock-sm-tlv
+---w input
| +---w instance-number? uint32
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-clock-sm-tlvO
instance-numberOintegerinstance number
dataOshow ptp clock sm-tlv status for the instance number

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-counters
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-countersO
dataOshow ptp packet counters

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-counters-instance
+---w input
| +---w instance-number? uint32
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-counters-instanceO
instance-numberOintegerinstance number
dataOshow ptp packet counters for the ports of this instance

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-counters-interface
+---w input
| +---w port? if:interface-ref
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-counters-interfaceO
portOif:interface-refThe name of the port.
dataOshow ptp packet counters of the port

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-ptp.yang:28: warning: imported module "asternos-common" not used
module: asternos-ptp
rpcs:
+---x show-ptp-interface
+---w input
| +---w port? if:interface-ref
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ptp-interfaceO
portOif:interface-refThe name of the port.
dataOshow ptp interface status for the port